Package org.eclipse.wst.xsl.core.internal.util

## org.eclipse.wst.xsl.core.internal.util
Class StructuredDocumentUtil

    public class StructuredDocumentUtil
    extends java.lang.Object

General Purpose utility classes to convert from StructuredDocument to DOM.

## Constructor Summary

`StructuredDocumentUtil()`

## Method Summary

`public static IDOMNode` | `getNode(IStructuredDocumentRegion documentRegion , ITextRegion textRegion)` Given a StructuredDocumentRegion and a TextRegion, return a IDOMNode for that particular position in the StructuredDocument

## Constructor Detail

## StructuredDocumentUtil

`public StructuredDocumentUtil()`

## Methods Detail

## getNode

`public IDOMNode getNode(IStructuredDocumentRegion documentRegion , ITextRegion textRegion)`

Given a StructuredDocumentRegion and a TextRegion, return a IDOMNode for that particular position in the StructuredDocument

### Parameters

`documentRegion`

`textRegion`

### Returns

`IDOMNode` - IDOMNode